<div class="page-layout carded fullwidth inner-scroll">

        <!-- TOP BACKGROUND -->
        <div class="top-bg {{secondColorBrand}}"></div>  
        <!-- / TOP BACKGROUND -->
    
        <!-- CENTER -->
        <div class="center">
    
            <!-- HEADER -->
            <div class="header white-fg"
                    fxLayout="row" fxLayoutAlign="space-between center">
    
                <!-- APP TITLE -->
                <div fxLayout="row" fxLayoutAlign="start center">
    
                    <button class="mr-16" mat-icon-button [routerLink]="'/insurance/proposal'">
                        <mat-icon>arrow_back</mat-icon>
                    </button>
    
                    <div fxLayout="column" fxLayoutAlign="start start"
                            *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                        <div class="h2">
                            {{'PROPOSTA'}} - #{{quote.id}}
                        </div>
                        <div class="subtitle secondary-text">
                            <!-- <span>{{quoteStatus(quote.status)}}</span> -->
                            <span *ngIf="quote && quote.insurerStatusId" [ngClass]="quote && (quote.insurerStatusId == 'REFUSED' || quote.insurerStatusId == 'CANCELLED') ? 'red-fg' : '' ">{{quote.insurerStatusDescription}}</span>
                            <span *ngIf="quote && !quote.insurerStatusId">{{quoteStatus(quote.status)}}</span>
                        </div>
                    </div>
                </div>

                <div fxLayout="column" fxLayoutAlign="start start"
                *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">

                    <div class="h3" [hidden]="quote.status == 'PROPOSAL' ? false : true">
                        O cliente aprovou a proposta?
                    </div>
                    <br>
                    <div fxLayout="row" fxLayoutAlign="center end" fxLayoutGap="20px">
                        <button color="primary" 
                                mat-raised-button
                                [hidden]="quote.status == 'PROPOSAL' ? false : true"
                                (click)="sendToApprove()">
                                Sim
                        </button>
                        <button type="button" 
                            mat-raised-button 
                            color="warn"
                            [hidden]="quote.status == 'PROPOSAL' ? false : true"
                            mat-button 
                            (click)="cancelProposal()">
                            Não
                        </button>
                    </div> 
                </div>
                <!-- <div fxLayout="row" fxLayoutAlign="center end" fxLayoutGap="10px">
                    
                </div>  -->
                
            </div>
            <!-- / HEADER -->
    
            <!-- CONTENT CARD -->
            <div class="content-card mat-white-bg">
    
                <!-- CONTENT -->
                <div class="content">

                        <div class="order-details tab-content p-24" fusePerfectScrollbar>

                                <!-- <div *ngIf="quote && quote.insurerStatusId" class="h3 " [ngClass]="quote && (quote.insurerStatusId == 'REFUSED' || quote.insurerStatusId == 'CANCELLED') ? 'red-fg' : 'black-fg' "><b>*{{quote.insurerStatusDescription}}</b></div> -->

                                <div fxLayout="row" fxLayoutAlign="end center">
                                    <button color="primary" 
                                            mat-raised-button
                                            [hidden]="quote.status == 'PROPOSAL_UNDER_ANALYSIS' ? false : true"
                                            (click)="sendProposal()">
                                            Emitir Apólice 
                                    </button>
                                    <!-- <button color="primary" 
                                            mat-raised-button
                                            [hidden]="quote.status == 'PROPOSAL_UNDER_ANALYSIS'"
                                            (click)="sendToApprove()">
                                            Confirmar Proposta
                                    </button> -->
                                    
                                </div>

                                <div class="section pb-32">
    
                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                        <mat-icon class="m-0 mr-16 secondary-text">receipt</mat-icon>
                                        <div class="h2 secondary-text">Proposta</div>
                                    </div>
                                    <table class="simple">
                                        <thead>
                                            <tr>
                                                <th>Data</th>
                                                <th>Nº da Proposta</th>
                                                <th>Nº da Cotação</th>
                                                <th>Endosso</th>
                                                <th>Aceitação</th>
                                                <th>Status</th>
                                                <th>Situação</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>
                                                    <span class="email text-truncate" *ngIf="quote && quote.lifecycle" >{{quote.lifecycle.proposalDate | date : 'dd/MM/yyyy'}}</span>
                                                </td>
                                                <td>
                                                    <span class="email text-truncate" *ngIf="quote" >{{quote.insurerProposalId}}</span>
                                                </td>
                                                <td>
                                                    <span class="phone text-truncate" *ngIf="quote">{{quote.insurerQuotationId}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote">{{quote.insurerEndorsementId}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote">-</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote">{{quoteStatusAsString(quote.status)}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote" >-</span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
    
                                <div class="section pb-32">
    
                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                        <mat-icon class="m-0 mr-16 secondary-text">account_circle</mat-icon>
                                        <div class="h2 secondary-text">Cliente</div>
                                    </div>
                                    <table class="simple">
                                        <thead>
                                            <tr>
                                                <th>Nome</th>
                                                <th>Email</th>
                                                <th>Telefone</th>
                                                <th>Endereço</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>
                                                    <span class="email text-truncate" *ngIf="quote && quote.customer">{{quote.customer.name}}</span>
                                                </td>
                                                <td>
                                                    <span class="email text-truncate" *ngIf="quote && quote.customer">{{quote.customer.email}}</span>
                                                </td>
                                                <td>
                                                    <span class="phone text-truncate" *ngIf="quote && quote.customer">{{quote.customer.cellphone}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote && quote.customer">{{quote.customer.addressStreet}},&nbsp;{{quote.customer.addressNumber}}-{{quote.customer.addressCity}}</span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
    
                                <div class="section pb-32">
    
                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                        <mat-icon class="m-0 mr-16 secondary-text">directions_car</mat-icon>
                                        <div class="h2 secondary-text">Veículo</div>
                                    </div>
                                    <table class="simple">
                                        <thead>
                                            <tr>
                                                <th>Modelo</th>
                                                <th>Ano Fab/Modelo</th>
                                                <th>Placa</th>
                                                <th>Chassi</th>
                                                <th>Fipe</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr *ngIf="quote.vehicle">
                                                <td>
                                                    <span class="email text-truncate" *ngIf="quote && quote.vehicle">{{quote.vehicle.modelName}}</span>
                                                </td>
                                                <td>
                                                    <span class="email text-truncate" *ngIf="quote && quote.vehicle">{{quote.vehicle.registrationYear}} / {{quote.vehicle.modelYear}} </span>
                                                </td>
                                                <td>
                                                    <span class="phone text-truncate" *ngIf="quote && quote.vehicle">{{quote.vehicle.licensePlate}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote && quote.vehicle">{{quote.vehicle.chassi}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate" *ngIf="quote && quote.vehicle">{{quote.vehicle.fipePrice}}</span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                
                                <div class="section pb-32">
    
                                    <div class="pb-4" fxLayout="row" fxLayoutAlign="start center">
                                        <mat-icon class="m-0 mr-16 secondary-text">verified_user</mat-icon>
                                        <div class="h2 secondary-text">Coberturas Contratadas</div>
                                    </div>
                                    <table class="simple">
                                        
                                        <tbody>
                                            <tr *ngFor="let coverage of coveragesSelectedList">
                                                <td>
                                                    <span class="name text-truncate">{{coverage.nmCobertura}}</span>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <span class="name text-truncate" *ngIf="quote && quote.fipeAcceptanceRate">Limite Máximo de Indenização Até {{quote.fipeAcceptanceRate}}% da tabela FIPE ({{quote.vehicle.fipePrice}} valor de referência em {{quote.lifecycle.proposalDate | date : 'dd/MM/yyyy' }})</span>
                                                </td>
                                            </tr>
                                            
                                            <tr>
                                        </tbody>
                                    </table>                
                                </div>

                                <div class="section pb-32">
                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                        <mat-icon class="m-0 mr-16 secondary-text">attach_money</mat-icon>
                                        <div class="h2 secondary-text">Pagamento</div>
                                    </div>
                                    <table class="simple">
                                        <thead>
                                            <tr>
                                                <th>Tipo</th>
                                                <th>Bandeira</th>
                                                <th>Número Cartão</th>
                                                <th>Valor</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>
                                                    <span class="email text-truncate"  *ngIf="creditCard && creditCard.type"> {{paymentTypeEnumToString(creditCard.type)}}</span>
                                                </td>
                                                <td>
                                                    <span class="email text-truncate" *ngIf="creditCard ">{{creditCard.creditCardBrand ? creditCard.creditCardBrand : '-'}}</span>
                                                </td>
                                                <td>
                                                    <span class="phone text-truncate" *ngIf="creditCard ">{{creditCard.creditCardNumber ? creditCard.creditCardNumber.substring(0, 4)+creditCard.creditCardNumber.substring(6, 8)+"******"+creditCard.creditCardNumber.substring(17, 20) : '-'}}</span>
                                                </td>
                                                <td>
                                                    <span class="company text-truncate"*ngIf="quote && quote.totalPrice" >{{ (quote.totalPrice + 300 + 360) | currency : 'BRL' }}</span>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                                <div class="section pb-32" *ngIf="planChargesDataSource && planChargesDataSource.length > 0">
                                        
                                        <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            <mat-icon class="m-0 mr-16 secondary-text">local_atm</mat-icon>
                                            <div class="h2 secondary-text">Cobranças</div>
                                        </div>
                                           
                                        <table class="simple">
                                            <thead>
                                                <tr>
                                                    <th>Tipo</th>
                                                    <th>Tipo de Pagamento</th>
                                                    <th>Bandeira</th>
                                                    <th>Número</th>
                                                    <th>Valor</th>
                                                    <th>Status</th>
                                                    <th>Data</th>
                                                    <th>Logs da Cobranças</th>
                                                    <th *ngIf="plan && plan.relationships && plan.relationships?.payment && plan.relationships?.payment?.type == 'BOOKLET'" style="text-align: center">Baixar Boleto</th>
                                                </tr>
                                            </thead>
                                            <tbody  >
                                                <tr *ngFor="let charge of planChargesDataSource">
                                                    <td>
                                                        {{ ChargeTypeCardEnumToString(charge.type) }}   
                                                    </td>
                                                    <td>
                                                        {{ PaymentTypeEnumToString( plan && plan.relationships.payment ? charge.payment.type : charge.paymentType) }}   
                                                    </td>
                                                    <td>
                                                        {{ plan && plan.relationships?.payment ? charge.payment.creditCardBrand ? charge.payment.creditCardBrand : charge.payment.debitCardBrand ? charge.payment.debitCardBrand : '-'  : '-'}}   
                                                    </td>
                                                    <td>
                                                        {{ plan && plan.relationships?.payment ? charge.payment.creditCardNumber ? charge.payment.creditCardNumber : charge.payment.debitCardNumber ? charge.payment.debitCardNumber : '-'  : '-'}}   
                                                    </td>
                                                    <td>
                                                        {{charge.amount | currency: 'BRL'}}   
                                                    </td>
                                                    <td>
                                                        {{ PaymentCreditCardEnumToString(charge.status) }}   
                                                    </td>
                                                    <td>
                                                        {{charge.scheduledDateTime | date: 'short'}}   
                                                    </td>
                                                      
                                                    <td>
                                                        <button type="button" mat-icon-button color="accent"  (click)="loadChargeLog(charge)" matTooltip="Logs da Cobranças">
                                                                Logs da Cobranças
                                                        </button>
                                                    </td>   
                                                    <td *ngIf="charge.bookletUrl" style="text-align: center">
                                                        <mat-icon style="cursor:pointer" class="m-0 mr-16" (click)="downloadBooklet(charge.bookletUrl)">cloud_download</mat-icon>
                                                    </td>   
                                                                  
                                                </tr>
                                            </tbody>
                                        </table> 
                                           
                                </div>

                                <div class="section pb-32" *ngIf="planChargeLogsDataSource && planChargeLogsDataSource.length > 0">
                                        
                                        <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            <mat-icon class="m-0 mr-16 secondary-text">local_atm</mat-icon>
                                            <div class="h2 secondary-text">Logs da Cobrança</div>
                                        </div>

                                        <div class="panel-content">

                                                <table class="simple">
                                                        <thead>
                                                            <tr>
                                                                <th>Data</th>
                                                                <th>Status</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody  >
                                                            <tr *ngFor="let item of planChargeLogsDataSource">
                                                                <td>
                                                                    {{item.dateTime | date: 'short'}}   
                                                                </td>
                                                                <td>
                                                                   {{item.text}}   
                                                                </td> 
                                                            </tr>
                                                        </tbody>
                                                    </table>
                                        </div>      
                                </div>
    
                                <div class="section pb-32">
                                    <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                        <mat-icon class="m-0 mr-16 secondary-text">schedule</mat-icon>
                                        <div class="h2 secondary-text">Histórico</div>
                                    </div>
                                    <table class="simple">
                                        <thead>
                                            <tr>
                                                <th>Status</th>
                                                <th *ngIf="quote && quote['lifecycle']">Data</th>
                                                <th>Observação</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>
                                                    <span class="name text-truncate" *ngIf="quote">{{quoteStatusAsString(quote.status)}}</span>
                                                </td>
                                                <td *ngIf="quote && quote['lifecycle']">
                                                    <span class="email text-truncate">{{quote['lifecycle']['lastUpdate'] | date : 'dd/MM/yyyy HH:mm'}}</span>
                                                </td>
                                                <td>
                                                    <span class="phone text-truncate">-</span>
                                                </td>
                                            </tr>
                                               
                                        </tbody>
                                    </table>
                                </div>

                                <div fxLayout="row" fxLayoutAlign="end center">
                                        <button color="primary" 
                                                mat-raised-button
                                                (click)="printProposal()">
                                                Imprimir Proposta
                                        </button>
                                    </div>
                            </div>
    
                     
                </div>
                <!-- / CONTENT -->
    
            </div>
            <!-- / CONTENT CARD -->
    
        </div>
        <!-- / CENTER -->
    </div>